CLS
PRINT "ALFILTER"
PRINT
PRINT "EDIT PM2.5 FILTER DATA AT ALL SITES. CAN CREATE AIRS RECORDS."
PRINT "AIRS RECORDS DO NOT INCLUDE CONCENTRATION OR FLAGGING."
PRINT "FILTER FILES (ONLY *F01.TXT) FROM ALL MONITORS ARE PROCESSED."
PRINT "UPDATED 6 JUL 99, TO USE AMBIENT TEMPERATURES FOR AIRS."
'
DIM SITE$(30, 4)
DIM DATEFAIL$(11), TIMEFAIL$(11)
'
ON ERROR GOTO 3000
'
CHDIR "\PM25DATA"
'
' READ IN SITE DATA.
'
OPEN "I", #1, "SITES.TXT"
I = -1
40 I = I + 1
IF I > 30 THEN PRINT "TOO MANY SITES, CHANGE 'DIM SITE$(30,4)' STATEMENT."
IF EOF(1) THEN CLOSE 1: NUMSITES = I - 1: GOTO 6
'
' AIRS ID
'
INPUT #1, SITE$(I, 0)
'
' SAMPLER
'
IF EOF(1) THEN PRINT "ERROR IN SITE FILE": END
INPUT #1, SITE$(I, 1)
'
' POC
'
IF EOF(1) THEN PRINT "ERROR IN SITE FILE": END
INPUT #1, SITE$(I, 2)
'
' METHOD
'
IF EOF(1) THEN PRINT "ERROR IN SITE FILE": END
INPUT #1, SITE$(I, 3)
'
' FREQ
'
IF EOF(1) THEN PRINT "ERROR IN SITE FILE": END
INPUT #1, SITE$(I, 4)
'
GOTO 40
'
6 BL42$ = "                                                    "
BL42$ = LEFT$(BL42$, 42)
'
INPUT "DO YOU WANT AIRS RECORDS CREATED (Y/N)"; QAIRS$
IF QAIRS$ = "n" OR QAIRS$ = "N" THEN QAIRS$ = "N": GOTO 8
'
INPUT "FILE NAME FOR AIRS RECORDS"; AIRSFILE$
OPEN "O", #3, AIRSFILE$
QAIRS$ = "Y"
'
8 INPUT "DO YOU WANT THE DATA PRINTED ON SCREEN (Y/N)"; QPR$
IF QPR$ = "y" THEN QPR$ = "Y"
'
15 INPUT "START DATE (YYYY/MM/DD) OR ALL"; QDATE1$
IF QDATE1$ = "all" THEN QDATE1$ = "ALL"
IF QDATE1$ = "ALL" THEN QDATE2$ = "ALL": GOTO 20
'
INPUT "END DATE (YYYY/MM/DD)"; QDATE2$
IF LEN(QDATE1$) <> 10 OR LEN(QDATE2$) <> 10 THEN PRINT "TRY AGAIN": GOTO 15
'
'
20 INPUT "READ FILTER FILE FROM 'RAW' DIRECTORY (Y/N)"; QRAW$
IF QRAW$ = "y" THEN QRAW$ = "Y"
'
INPUT "WANT RESULTS PUT TO FILE (Y/N)"; QFILE$
IF QFILE$ = "y" THEN QFILE$ = "Y"
IF QFILE$ <> "Y" THEN 25
INPUT "PRINT FILE NAME"; PRFILE$
OPEN "O", #2, PRFILE$
'
' ACCESS EACH MONITOR DIRECTORY.
'
25 FOR III = 1 TO NUMSITES
F1$ = SITE$(III, 1)
IF QRAW$ = "Y" OR QRAW$ = "y" THEN F1$ = F1$ + "\RAW"
F1$ = F1$ + "\" + SITE$(III, 1) + "F01.TXT"
PRINT F1$; "**********************************"
'INPUT XYZ$
'
OPEN "I", #1, F1$
IF QFILE$ = "Y" THEN PRINT #2, " ": PRINT #2, F1$; " ********************************************"
IF QFILE$ = "Y" THEN PRINT #2, " "
'
IF EOF(1) THEN 100
LINE INPUT #1, LL$
PRINT "IGNORE-"; LL$
IF LEN(LL$) > 20 THEN PRINT "ERROR, 1ST LINE LENGTH>20": CLOSE 1: END
'
100 IF EOF(1) THEN CLOSE 1: GOTO 900
LINE INPUT #1, XLINE$
'IF QPR$ = "Y" THEN PRINT XLINE$: PRINT
LENGTH = LEN(XLINE$)
'
' SET ALL VARIABLES TO NULL OR ZERO HERE.
'
AIRSFLAG = 0
FILTER$ = ""
CASS$ = ""
SETDATE$ = ""
SETTIME$ = ""
STARTDATE$ = ""
STARTTIME$ = ""
STOPDATE$ = ""
STOPTIME$ = ""
TOTALTIME$ = ""
AVERFLOW$ = ""
FLOWCV$ = ""
VOLUME$ = ""
MINAMBTEMP$ = ""
AVAMBTEMP$ = ""
MAXAMBTEMP$ = ""
MINFILTEMP$ = ""
AVFILTEMP$ = ""
MAXFILTEMP$ = ""
MINAMBPRES$ = ""
AVAMBPRES$ = ""
MAXAMBPRES$ = ""
MAXTEMPDIF$ = ""
DATEMAXTD$ = ""
TIMEMAXTD$ = ""
SITE1$ = ""
SITE2$ = ""
STCODE$ = ""
VALTIME$ = ""
MINFLOW$ = ""
MAXFLOW$ = ""
AVWINDSP$ = ""
AVWINDVEL$ = ""
AVWINDIR$ = ""
MINAMBRH$ = ""
AVAMBRH$ = ""
MAXAMBRH$ = ""
AVINPUT1$ = ""
AVINPUT2$ = ""
AVINPUT3$ = ""
TTIMEMIN$ = ""
VTIMEMIN$ = ""
FOR I = 1 TO 10
DATEFAIL$(I) = ""
TIMEFAIL$(I) = ""
NEXT I
'
WORD$ = ""
COUNT = 0
FOR I = 1 TO LENGTH
IF MID$(XLINE$, I, 1) = "," THEN GOSUB 1000: WORD$ = "": GOTO 200
WORD$ = WORD$ + MID$(XLINE$, I, 1)
200 NEXT I
GOSUB 1000
'
' EXCLUDE ON DESIRED DATES.
'
IF QDATE1$ = "ALL" THEN 210
IF STARTDATE$ < QDATE1$ THEN 100
IF STARTDATE$ > QDATE2$ THEN 100

210 PRINT "FILTER="; FILTER$; " CASSETTE="; CASS$;
PRINT "   SET START="; SETDATE$; " "; SETTIME$;
IF QFILE$ = "Y" THEN PRINT #2, "FILTER="; FILTER$; " CASSETTE="; CASS$;
IF QFILE$ = "Y" THEN PRINT #2, "   SET START="; SETDATE$; " "; SETTIME$;
IF QFILE$ = "Y" THEN PRINT #2, ",TIME="; TOTALTIME$
'
IF QPR$ <> "Y" THEN PRINT ",TIME="; TOTALTIME$
IF QPR$ <> "Y" THEN 230
PRINT : PRINT "ACTUAL START="; STARTDATE$; " "; STARTTIME$;
PRINT "   ACTUAL STOP="; STOPDATE$; " "; STOPTIME$
PRINT "TOTAL SAMPLING TIME="; TOTALTIME$;
PRINT "   AVERAGE FLOW="; AVERFLOW$;
PRINT "   FLOW CV="; FLOWCV$
PRINT "VOLUME="; VOLUME$; "     ";
PRINT "AMBIENT TEMP, MIN="; MINAMBTEMP$; " AVER="; AVAMBTEMP$;
PRINT " MAX="; MAXAMBTEMP$
PRINT "                FILTER TEMP, MIN="; MINFILTEMP$; " AVER="; AVFILTEMP$;
PRINT " MAX="; MAXFILTEMP$
PRINT "            AMBIENT PRESSURE, MIN="; MINAMBPRES$; "  AVER="; AVAMBPRES$;
PRINT "  MAX="; MAXAMBPRES$
PRINT "MAX TEMP DIFFERENCE="; MAXTEMPDIF$;
PRINT " ON "; DATEMAXTD$; " AT "; TIMEMAXTD$
PRINT "SITE 1="; SITE1$
PRINT "SITE 2="; SITE2$;
PRINT "  STATUS="; STCODE$
PRINT "VALID TIME="; VALTIME$; "  MIN FLOW="; MINFLOW$;
PRINT "  MAX FLOW="; MAXFLOW$
PRINT "WIND, SPEED="; AVWINDSP$; "  VELOCITY = "; AVWINDVEL$;
PRINT "   DIR = "; AVWINDIR$
PRINT "AMBIENT RH, MIN="; MINAMBRH$; " AVER="; AVAMBRH$;
PRINT "  MAX="; MAXAMBRH$
PRINT "INPUT, 1="; AVINPUT1$; "  2="; AVINPUT2$; "  3="; AVINPUT3$
'
' ALLOW FOR ADDITIONAL TIMES IN MINUTES.
'
230 IF LEN(DATEFAIL$(1)) <> 5 THEN 250
'
TTIMEMIN$ = DATEFAIL$(1)
VTIMEMIN$ = TIMEFAIL$(1)
'
IF QPR$ = "Y" THEN PRINT "TOTAL TIME="; TTIMEMIN$; " VALID TIME="; VTIMEMIN$
'
FOR I = 1 TO 10
DATEFAIL$(I) = DATEFAIL$(I + 1)
TIMEFAIL$(I) = TIMEFAIL$(I + 1)
NEXT I
DATEFAIL$(11) = ""
TIMEFAIL$(11) = ""
'
' PRINT FAILURES IF ANY.
'
250 FOR I = 1 TO 10
IF DATEFAIL$(I) = "" AND TIMEFAIL$(I) = "" THEN 300
PRINT "POWER FAIL ON "; DATEFAIL$(I); " AT "; TIMEFAIL$(I)
IF QFILE$ = "Y" THEN PRINT #2, "POWER FAIL ON "; DATEFAIL$(I); " AT "; TIMEFAIL$(I)
300 NEXT I
'
' START TIME SHOULD BE 00:00
'
320 IF SETTIME$ = "00:00" THEN 330
PRINT "*** SET START TIME, "; SETTIME$: AIRSFLAG = 99
IF QFILE$ = "Y" THEN PRINT #2, "*** SET START TIME, "; SETTIME$: AIRSFLAG = 99
'
' ACTUAL START DATE SHOULD EQUAL SET START DATE.
'
330 IF STARTDATE$ = SETDATE$ THEN 340
PRINT "*** ACTUAL START DATE <> SET START DATE, "; STARTDATE$; " "; SETDATE$
IF QFILE$ = "Y" THEN PRINT #2, "*** ACTUAL START DATE <> SET START DATE, "; STARTDATE$; " "; SETDATE$
'
' ACTUAL START TIME SHOULD EQUAL SET START TIME.
'
340 IF STARTTIME$ = SETTIME$ THEN 350
PRINT "*** ACTUAL START TIME <> SET START TIME, "; STARTTIME$; " "; SETTIME$
IF QFILE$ = "Y" THEN PRINT #2, "*** ACTUAL START TIME <> SET START TIME, "; STARTTIME$; " "; SETTIME$
'
' TOTAL SAMPLING TIME < 23 OR > 25.
'
350 IF LEN(TOTALTIME$) = 6 THEN 360
PRINT "*** TOTAL SAMPLING TIME, "; TOTALTIME$
IF QFILE$ = "Y" THEN PRINT #2, "*** TOTAL SAMPLING TIME, "; TOTALTIME$
GOTO 500
'
360 HOUR$ = LEFT$(TOTALTIME$, 3)
COLON$ = MID$(TOTALTIME$, 4, 1)
MIN$ = MID$(TOTALTIME$, 5, 2)
'
IF COLON$ = ":" THEN 370
PRINT "*** TOTAL SAMPLING TIME, "; TOTALTIME$
IF QFILE$ = "Y" THEN PRINT #2, "*** TOTAL SAMPLING TIME, "; TOTALTIME$
GOTO 500
'
370 HOUR = VAL(HOUR$) + (VAL(MIN$) / 60)
MINTOTAL = (VAL(HOUR$) * 60) + VAL(MIN$)
IF HOUR >= 23 AND HOUR <= 25 THEN 500
PRINT "*** TOTAL SAMPLING TIME, "; TOTALTIME$: AIRSFLAG = 99
IF QFILE$ = "Y" THEN PRINT #2, "*** TOTAL SAMPLING TIME, "; TOTALTIME$
'
' AVERAGE FLOW
'
500 AVERFLOW = VAL(AVERFLOW$)
IF AVERFLOW >= 16.27 AND AVERFLOW <= 17.07 THEN 505
PRINT "*** AVERAGE FLOW, "; AVERFLOW$
IF QFILE$ = "Y" THEN PRINT #2, "*** AVERAGE FLOW, "; AVERFLOW$
'
' FLOW COEFFICIENT OF VARIATION
'
505 FLOWCV = VAL(FLOWCV$)
IF FLOWCV >= 0 AND FLOWCV <= 2 THEN 510
PRINT "*** FLOW CV, "; FLOWCV$
IF QFILE$ = "Y" THEN PRINT #2, "*** FLOW CV, "; FLOWCV$
'
' SAMPLE VOLUME
'
510 VOLUME = VAL(VOLUME$)
IF VOLUME >= 22.8 AND VOLUME <= 25.2 THEN 515
PRINT "*** SAMPLE VOLUME, "; VOLUME$
IF QFILE$ = "Y" THEN PRINT #2, "*** SAMPLE VOLUME, "; VOLUME$
'
' MAXIMUM TEMPERATURE DIFFERENCE
'
515 MAXTEMPDIF = VAL(MAXTEMPDIF$)
IF MAXTEMPDIF <= 5 THEN 516
PRINT "*** MAX TEMP DIFF, "; MAXTEMPDIF$
IF QFILE$ = "Y" THEN PRINT #2, "*** MAX TEMP DIFF, "; MAXTEMPDIF$
'
' SITE ID 1 (AIRS ID)
'
' SITE ID 1 SHOULD BE 34 LONG INCLUDING QUOTES AT BEGINNING AND END.
' HOWEVER, THERE MAY BE BLANKS AT THE BEGINNING OR END TO MAKE IT MORE THAN
' 34 LONG.  IF IT IS 34 LONG, THEN PASS IT ON, OTHERWISE REMOVE ANY BLANKS AT
' BEGINNING OR END. THEN CHECK AGAIN TO MAKE SURE IT IS 34 LONG.
'
516 IF LEN(SITE1$) = 34 THEN 519
517 IF LEFT$(SITE1$, 1) = " " THEN SITE1$ = MID$(SITE1$, 2): GOTO 517
518 IF RIGHT$(SITE1$, 1) = " " THEN SITE1$ = LEFT$(SITE1$, LEN(SITE1$) - 1): GOTO 518
IF LEN(SITE1$) = 34 THEN 519
PRINT "SITE ID ERROR, "; SITE1$: AIRSFLAG = 99: GOTO 522
'
519 AIRS$ = MID$(SITE1$, 25, 9)
'
' SITE ID 2 (5 DIGIT SAMPLER NUMBER)
'
' SITE ID 2 SHOULD BE 34 LONG INCLUDING QUOTES AT BEGINNING AND END.
' HOWEVER, THERE MAY BE BLANKS AT THE BEGINNING OR END TO MAKE IT MORE THAN
' 34 LONG.  IF IT IS 34 LONG, THEN PASS IT ON, OTHERWISE REMOVE ANY BLANKS AT
' BEGINNING OR END. THEN CHECK AGAIN TO MAKE SURE IT IS 34 LONG.
'
522 IF LEN(SITE2$) = 34 THEN 525
523 IF LEFT$(SITE2$, 1) = " " THEN SITE2$ = MID$(SITE2$, 2): GOTO 523
524 IF RIGHT$(SITE2$, 1) = " " THEN SITE2$ = LEFT$(SITE2$, LEN(SITE2$) - 1): GOTO 524
IF LEN(SITE1$) = 34 THEN 525
PRINT "SAMPLER ID ERROR, "; SITE2$: AIRSFLAG = 99: GOTO 550
'
525 SAMPLER$ = MID$(SITE2$, 29, 5)
'
' SEE IF AIRS ID AND SAMPLER NUMBER MATCH A SITE ON FILE.
'
I = -1
530 I = I + 1
IF I <= NUMSITES THEN 535
PRINT "*** SITE/SAMPLER NOT IN SITE FILE, "; AIRS$; " "; SAMPLER$: AIRSFLAG = 99
IF QFILE$ = "Y" THEN PRINT #2, "*** SITE/SAMPLER NOT IN SITE FILE, "; AIRS$; " "; SAMPLER$
GOTO 550
535 IF AIRS$ = SITE$(I, 0) AND SAMPLER$ = SITE$(I, 1) THEN SITE = I: GOTO 550
GOTO 530
'
' STATUS CODES
'
550 IF STCODE$ = "00000000" THEN 552
PRINT "*** STATUS CODES, "; STCODE$
IF QFILE$ = "Y" THEN PRINT #2, "*** STATUS CODES, "; STCODE$
'
' VALID SAMPLING TIME < 23 OR > 25.
'
552 IF LEN(VALTIME$) = 6 THEN 555
PRINT "*** VALID SAMPLING TIME, "; VALTIME$
IF QFILE$ = "Y" THEN PRINT #2, "*** VALID SAMPLING TIME, "; VALTIME$
GOTO 600
'
555 HOUR$ = LEFT$(VALTIME$, 3)
COLON$ = MID$(VALTIME$, 4, 1)
MIN$ = MID$(VALTIME$, 5, 2)
IF COLON$ = ":" THEN 560
PRINT "*** VALID SAMPLING TIME, "; VALTIME$
IF QFILE$ = "Y" THEN PRINT #2, "*** VALID SAMPLING TIME, "; VALTIME$
GOTO 600
'
560 VHOUR = VAL(HOUR$) + (VAL(MIN$) / 60)
IF VHOUR >= 23 AND VHOUR <= 25 THEN 600
PRINT "*** VALID SAMPLING TIME, "; VALTIME$
IF QFILE$ = "Y" THEN PRINT #2, "*** VALID SAMPLING TIME, "; VALTIME$
'
' MIN AND MAX FLOW
'
600 IF VAL(MINFLOW$) >= 15.84 AND VAL(MINFLOW$) <= 17.5 THEN 605
PRINT "*** MIN FLOW, "; MINFLOW$
IF QFILE$ = "Y" THEN PRINT #2, "*** MIN FLOW, "; MINFLOW$
605 IF VAL(MAXFLOW$) >= 15.84 AND VAL(MAXFLOW$) <= 17.5 THEN 610
PRINT "*** MAX FLOW, "; MAXFLOW$
IF QFILE$ = "Y" THEN PRINT #2, "*** MAX FLOW, "; MAXFLOW$
'
' POWER FAILURE(S)
'
610 PFLAG$ = "N"
FOR I = 1 TO 10
IF TIMEFAIL$(I) <> "" THEN PFLAG$ = "Y"
IF DATEFAIL$(I) <> "" THEN PFLAG$ = "Y"
NEXT I
IF PFLAG$ = "N" THEN 620
PRINT "*** 1st POWER FAILURE ON "; DATEFAIL$(1); " AT "; TIMEFAIL$(1)
IF QFILE$ = "Y" THEN PRINT #2, "*** 1st POWER FAILURE ON "; DATEFAIL$(1); " AT "; TIMEFAIL$(1)
'
' BUILD AIRS RECORDS.
'
620 IF AIRSFLAG <> 0 THEN PRINT "BECAUSE OF ERROR, AIRS RECORD CAN'T BE BUILT": GOTO 100
IF QAIRS$ <> "Y" THEN 100
'
' FLOW CV (AIRS)
'
AIRS80$ = "2" + SITE$(SITE, 0) + "68101" + SITE$(SITE, 2) + "7" + "107"
AIRS80$ = AIRS80$ + "118" + MID$(STARTDATE$, 3, 2) + MID$(STARTDATE$, 6, 2)
AIRS80$ = AIRS80$ + MID$(STARTDATE$, 9, 2) + "00" + SITE$(SITE, 4) + "1"
FLOWCV = VAL(FLOWCV$) * 10
CVAR$ = STR$(FLOWCV)
IF LEFT$(CVAR$, 1) = " " THEN CVAR$ = MID$(CVAR$, 2)
640 IF LEN(CVAR$) < 4 THEN CVAR$ = "0" + CVAR$: GOTO 640
AIRS80$ = AIRS80$ + CVAR$ + BL42$ + "I"
PRINT "FLOW CV"
PRINT AIRS80$
IF LEN(AIRS80$) <> 80 THEN PRINT "ERROR, AIRS RECORD LENGTH <> 80": INPUT XYZ$
IF QAIRS$ = "Y" THEN PRINT #3, AIRS80$
'
' SAMPLE VOLUME (AIRS)
'
AIRS80$ = "2" + SITE$(SITE, 0) + "68102" + SITE$(SITE, 2) + "7" + "065"
AIRS80$ = AIRS80$ + "118" + MID$(STARTDATE$, 3, 2) + MID$(STARTDATE$, 6, 2)
AIRS80$ = AIRS80$ + MID$(STARTDATE$, 9, 2) + "00" + SITE$(SITE, 4) + "1"
VOLUME = VAL(VOLUME$) * 10
ATEMP$ = STR$(VOLUME)
IF LEFT$(ATEMP$, 1) = " " THEN ATEMP$ = MID$(ATEMP$, 2)
660 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "0" + ATEMP$: GOTO 660
AIRS80$ = AIRS80$ + ATEMP$ + BL42$ + "I"
PRINT "VOLUME"
PRINT AIRS80$
IF LEN(AIRS80$) <> 80 THEN PRINT "ERROR, AIRS RECORD LENGTH <> 80": INPUT XYZ$
IF QAIRS$ = "Y" THEN PRINT #3, AIRS80$
'
' MINIMUM AMBIENT TEMP (AIRS)
'
AIRS80$ = "2" + SITE$(SITE, 0) + "68103" + SITE$(SITE, 2) + "7" + "017"
AIRS80$ = AIRS80$ + "118" + MID$(STARTDATE$, 3, 2) + MID$(STARTDATE$, 6, 2)
AIRS80$ = AIRS80$ + MID$(STARTDATE$, 9, 2) + "00" + SITE$(SITE, 4) + "1"
MINAMBTEMP = VAL(MINAMBTEMP$) * 10
ATEMP$ = STR$(MINAMBTEMP)
IF LEFT$(ATEMP$, 1) = " " THEN ATEMP$ = MID$(ATEMP$, 2)
IF LEFT$(ATEMP$, 1) <> "-" THEN 680
678 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "-" + "0" + MID$(ATEMP$, 2): GOTO 678
680 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "0" + ATEMP$: GOTO 680
AIRS80$ = AIRS80$ + ATEMP$ + BL42$ + "I"
PRINT "MIN AMBIENT TEMP"
PRINT AIRS80$
IF LEN(AIRS80$) <> 80 THEN PRINT "ERROR, AIRS RECORD LENGTH <> 80": INPUT XYZ$
IF QAIRS$ = "Y" THEN PRINT #3, AIRS80$
'
' MAXIMUM AMBIENT TEMP (AIRS)
'
AIRS80$ = "2" + SITE$(SITE, 0) + "68104" + SITE$(SITE, 2) + "7" + "017"
AIRS80$ = AIRS80$ + "118" + MID$(STARTDATE$, 3, 2) + MID$(STARTDATE$, 6, 2)
AIRS80$ = AIRS80$ + MID$(STARTDATE$, 9, 2) + "00" + SITE$(SITE, 4) + "1"
MAXAMBTEMP = VAL(MAXAMBTEMP$) * 10
ATEMP$ = STR$(MAXAMBTEMP)
IF LEFT$(ATEMP$, 1) = " " THEN ATEMP$ = MID$(ATEMP$, 2)
IF LEFT$(ATEMP$, 1) <> "-" THEN 700
698 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "-" + "0" + MID$(ATEMP$, 2): GOTO 698
700 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "0" + ATEMP$: GOTO 700
AIRS80$ = AIRS80$ + ATEMP$ + BL42$ + "I"
PRINT "MAX AMBIENT TEMP"
PRINT AIRS80$
IF LEN(AIRS80$) <> 80 THEN PRINT "ERROR, AIRS RECORD LENGTH <> 80": INPUT XYZ$
IF QAIRS$ = "Y" THEN PRINT #3, AIRS80$
'
' AVERAGE AMBIENT TEMP (AIRS)
'
AIRS80$ = "2" + SITE$(SITE, 0) + "68105" + SITE$(SITE, 2) + "7" + "017"
AIRS80$ = AIRS80$ + "118" + MID$(STARTDATE$, 3, 2) + MID$(STARTDATE$, 6, 2)
AIRS80$ = AIRS80$ + MID$(STARTDATE$, 9, 2) + "00" + SITE$(SITE, 4) + "1"
AVAMBTEMP = VAL(AVAMBTEMP$) * 10
ATEMP$ = STR$(AVAMBTEMP)
IF LEFT$(ATEMP$, 1) = " " THEN ATEMP$ = MID$(ATEMP$, 2)
IF LEFT$(ATEMP$, 1) <> "-" THEN 710
708 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "-" + "0" + MID$(ATEMP$, 2): GOTO 708
710 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "0" + ATEMP$: GOTO 710
AIRS80$ = AIRS80$ + ATEMP$ + BL42$ + "I"
PRINT "AVERAGE AMBIENT TEMP"
PRINT AIRS80$
IF LEN(AIRS80$) <> 80 THEN PRINT "ERROR, AIRS RECORD LENGTH <> 80": INPUT XYZ$
IF QAIRS$ = "Y" THEN PRINT #3, AIRS80$
'
' MIN PRESSURE (AIRS)
'
AIRS80$ = "2" + SITE$(SITE, 0) + "68106" + SITE$(SITE, 2) + "7" + "059"
AIRS80$ = AIRS80$ + "118" + MID$(STARTDATE$, 3, 2) + MID$(STARTDATE$, 6, 2)
AIRS80$ = AIRS80$ + MID$(STARTDATE$, 9, 2) + "00" + SITE$(SITE, 4) + "0"
MINAMBPRES = INT(VAL(MINAMBPRES$) + .5)
ATEMP$ = STR$(MINAMBPRES)
IF LEFT$(ATEMP$, 1) = " " THEN ATEMP$ = MID$(ATEMP$, 2)
720 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "0" + ATEMP$: GOTO 720
AIRS80$ = AIRS80$ + ATEMP$ + BL42$ + "I"
PRINT "MIN PRESSURE"
PRINT AIRS80$
IF LEN(AIRS80$) <> 80 THEN PRINT "ERROR, AIRS RECORD LENGTH <> 80": INPUT XYZ$
IF QAIRS$ = "Y" THEN PRINT #3, AIRS80$
'
' MAX PRESSURE (AIRS)
'
AIRS80$ = "2" + SITE$(SITE, 0) + "68107" + SITE$(SITE, 2) + "7" + "059"
AIRS80$ = AIRS80$ + "118" + MID$(STARTDATE$, 3, 2) + MID$(STARTDATE$, 6, 2)
AIRS80$ = AIRS80$ + MID$(STARTDATE$, 9, 2) + "00" + SITE$(SITE, 4) + "0"
MAXAMBPRES = INT(VAL(MAXAMBPRES$) + .5)
ATEMP$ = STR$(MAXAMBPRES)
IF LEFT$(ATEMP$, 1) = " " THEN ATEMP$ = MID$(ATEMP$, 2)
730 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "0" + ATEMP$: GOTO 730
AIRS80$ = AIRS80$ + ATEMP$ + BL42$ + "I"
PRINT "MAX PRESSURE"
PRINT AIRS80$
IF LEN(AIRS80$) <> 80 THEN PRINT "ERROR, AIRS RECORD LENGTH <> 80": INPUT XYZ$
IF QAIRS$ = "Y" THEN PRINT #3, AIRS80$
'
' AVERAGE PRESSURE (AIRS)
'
AIRS80$ = "2" + SITE$(SITE, 0) + "68108" + SITE$(SITE, 2) + "7" + "059"
AIRS80$ = AIRS80$ + "118" + MID$(STARTDATE$, 3, 2) + MID$(STARTDATE$, 6, 2)
AIRS80$ = AIRS80$ + MID$(STARTDATE$, 9, 2) + "00" + SITE$(SITE, 4) + "0"
AVAMBPRES = INT(VAL(AVAMBPRES$) + .5)
ATEMP$ = STR$(AVAMBPRES)
IF LEFT$(ATEMP$, 1) = " " THEN ATEMP$ = MID$(ATEMP$, 2)
740 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "0" + ATEMP$: GOTO 740
AIRS80$ = AIRS80$ + ATEMP$ + BL42$ + "I"
PRINT "AVERAGE PRESSURE"
PRINT AIRS80$
IF LEN(AIRS80$) <> 80 THEN PRINT "ERROR, AIRS RECORD LENGTH <> 80": INPUT XYZ$
IF QAIRS$ = "Y" THEN PRINT #3, AIRS80$
'
' ELAPSED SAMPLE TIME (AIRS), EXCLUDES POWER OUTS, BUT NOT INVALID TIME.
'
AIRS80$ = "2" + SITE$(SITE, 0) + "68109" + SITE$(SITE, 2) + "7" + "106"
AIRS80$ = AIRS80$ + "118" + MID$(STARTDATE$, 3, 2) + MID$(STARTDATE$, 6, 2)
AIRS80$ = AIRS80$ + MID$(STARTDATE$, 9, 2) + "00" + SITE$(SITE, 4) + "0"
MINTOTAL = INT(MINTOTAL + .5)
ATEMP$ = STR$(MINTOTAL)
IF LEFT$(ATEMP$, 1) = " " THEN ATEMP$ = MID$(ATEMP$, 2)
750 IF LEN(ATEMP$) < 4 THEN ATEMP$ = "0" + ATEMP$: GOTO 750
AIRS80$ = AIRS80$ + ATEMP$ + BL42$ + "I"
PRINT "ELAPSED TIME"
PRINT AIRS80$
IF LEN(AIRS80$) <> 80 THEN PRINT "ERROR, AIRS RECORD LENGTH <> 80": INPUT XYZ$
IF QAIRS$ = "Y" THEN PRINT #3, AIRS80$
'
'INPUT XYZ$
GOTO 100
'
' END OF MONITOR FOR-NEXT LOOP.
'
900 NEXT III
'
GOTO 2000
'
' ERROR HANDLING
'
3000 IF ERR = 76 OR ERR = 53 THEN PRINT F1$; " NOT FOUND": CLOSE 1
RESUME 900
PRINT "ERROR": END
'
' SUBROUTINE TO DETERMINE WHICH VARIABLE JUST READ.
'
1000 COUNT = COUNT + 1
IF COUNT = 1 THEN FILTER$ = WORD$
IF COUNT = 2 THEN CASS$ = WORD$
IF COUNT = 3 THEN SETDATE$ = WORD$
IF COUNT = 4 THEN SETTIME$ = WORD$
IF COUNT = 5 THEN STARTDATE$ = WORD$
IF COUNT = 6 THEN STARTTIME$ = WORD$
IF COUNT = 7 THEN STOPDATE$ = WORD$
IF COUNT = 8 THEN STOPTIME$ = WORD$
IF COUNT = 9 THEN TOTALTIME$ = WORD$
IF COUNT = 10 THEN AVERFLOW$ = WORD$
IF COUNT = 11 THEN FLOWCV$ = WORD$
IF COUNT = 12 THEN VOLUME$ = WORD$
IF COUNT = 13 THEN MINAMBTEMP$ = WORD$
IF COUNT = 14 THEN AVAMBTEMP$ = WORD$
IF COUNT = 15 THEN MAXAMBTEMP$ = WORD$
IF COUNT = 16 THEN MINFILTEMP$ = WORD$
IF COUNT = 17 THEN AVFILTEMP$ = WORD$
IF COUNT = 18 THEN MAXFILTEMP$ = WORD$
IF COUNT = 19 THEN MINAMBPRES$ = WORD$
IF COUNT = 20 THEN AVAMBPRES$ = WORD$
IF COUNT = 21 THEN MAXAMBPRES$ = WORD$
IF COUNT = 22 THEN MAXTEMPDIF$ = WORD$
IF COUNT = 23 THEN DATEMAXTD$ = WORD$
IF COUNT = 24 THEN TIMEMAXTD$ = WORD$
IF COUNT = 25 THEN SITE1$ = WORD$
IF COUNT = 26 THEN SITE2$ = WORD$
IF COUNT = 27 THEN STCODE$ = WORD$
IF COUNT = 28 THEN VALTIME$ = WORD$
IF COUNT = 29 THEN MINFLOW$ = WORD$
IF COUNT = 30 THEN MAXFLOW$ = WORD$
IF COUNT = 31 THEN AVWINDSP$ = WORD$
IF COUNT = 32 THEN AVWINDVEL$ = WORD$
IF COUNT = 33 THEN AVWINDIR$ = WORD$
IF COUNT = 34 THEN MINAMBRH$ = WORD$
IF COUNT = 35 THEN AVAMBRH$ = WORD$
IF COUNT = 36 THEN MAXAMBRH$ = WORD$
IF COUNT = 37 THEN AVINPUT1$ = WORD$
IF COUNT = 38 THEN AVINPUT2$ = WORD$
IF COUNT = 39 THEN AVINPUT3$ = WORD$
IF COUNT = 40 THEN DATEFAIL$(1) = WORD$
IF COUNT = 41 THEN TIMEFAIL$(1) = WORD$
IF COUNT = 42 THEN DATEFAIL$(2) = WORD$
IF COUNT = 43 THEN TIMEFAIL$(2) = WORD$
IF COUNT = 44 THEN DATEFAIL$(3) = WORD$
IF COUNT = 45 THEN TIMEFAIL$(3) = WORD$
IF COUNT = 46 THEN DATEFAIL$(4) = WORD$
IF COUNT = 47 THEN TIMEFAIL$(4) = WORD$
IF COUNT = 48 THEN DATEFAIL$(5) = WORD$
IF COUNT = 49 THEN TIMEFAIL$(5) = WORD$
IF COUNT = 50 THEN DATEFAIL$(6) = WORD$
IF COUNT = 51 THEN TIMEFAIL$(6) = WORD$
IF COUNT = 52 THEN DATEFAIL$(7) = WORD$
IF COUNT = 53 THEN TIMEFAIL$(7) = WORD$
IF COUNT = 54 THEN DATEFAIL$(8) = WORD$
IF COUNT = 55 THEN TIMEFAIL$(8) = WORD$
IF COUNT = 56 THEN DATEFAIL$(9) = WORD$
IF COUNT = 57 THEN TIMEFAIL$(9) = WORD$
IF COUNT = 58 THEN DATEFAIL$(10) = WORD$
IF COUNT = 59 THEN TIMEFAIL$(10) = WORD$
IF COUNT = 60 THEN DATEFAIL$(11) = WORD$
IF COUNT = 61 THEN TIMEFAIL$(11) = WORD$
'
RETURN
'
2000 PRINT "EDIT COMPLETE"
CLOSE 2
CLOSE 3
IF QFILE$ = "Y" THEN PRINT "PRINT FILE="; PRFILE$
END
'
' VARIABLE LIST
'
'FILTER$-----FILTER ID
'CASS$-------CASSETTE ID
'SETDATE$----SET START DATE
'SETTIME$----SET START TIME
'STARTDATE$--ACTUAL START DATE
'STARTTIME$--ACTUAL START TIME
'STOPDATE$---ACTUAL STOP DATE
'STOPTIME$---ACTAUL STOP TIME
'TOTALTIME$--TOTAL SAMPLING TIME
'AVERFLOW$---AVERAGE FLOW
'FLOWCV$-----FLOW COEF OF VARIATION
'VOLUME$-----SAMPLED VOLUME
'MINAMBTEMP$-MINIMUM AMBIENT TEMPERATURE
'AVAMBTEMP$--AVERAGE AMBIENT TEMPERATURE
'MAXAMBTEMP$-MAX AMBIENT TEMP
'MINFILTEMP$-MIN FILTER TEMP
'AVFILTEMP$--AVERAGE FILTER TEMP
'MAXFILTEMP$-MAX FILTER TEMP
'MINAMBPRES$-MIN AMBIENT PRESSURE
'AVAMBPRES$--AVERAGE AMBIENT PRESSURE
'MAXAMBPRES$-MAXIMUM AMBIENT PRESSURE
'MAXTEMPDIF$-MAXIMUM TEMP DIFFERENCE
'DATEMAXTD$--DATE OF MAX TEMP DIFF
'TIMEMAXTD$--TIME OF MAX TEMP DIFF
'SITE1$------SITE ID 1
'SITE2$------SITE ID 2
'STCODE$-----STATUS CODES
'VALTIME$----VALID SAMPLING TIME
'MINFLOW$----MINIMUM FLOW RATE
'MAXFLOW$----MAXIMUM FLOW RATE
'AVWINDSP$---AVERAGE WIND SPEED
'AVWINDVEL$--AVERAGE WIND VELOCITY
'AVWINDIR$---AVERAGE WIND DIRECTION
'MINAMBRH$---MIN AMBIENT RELATIVE HUMIDITY
'AVAMBRH$----AVERAGE AMBIENT RELATIVE HUMIDITY
'MAXAMBRH$---MAX AMBIENT RELATIVE HUMIDITY
'AVINPUT1$---AVERAGE ANALOG INPUT 1
'AVINPUT2$---AVERAGE ANALOG INPUT 2
'AVINPUT3$---AVERAGE ANALOG INPUT 3
'DATEFAIL$---POWER FAILURE DATE
'TIMEFAIL$---POWER FAILURE TIME


